package com.liang.service.impl;

import com.liang.entity.SysLoginLog;
import com.liang.dao.SysLoginLogDao;
import com.liang.service.SysLoginLogService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;

/**
 * (SysLoginLog)表服务实现类
 *
 * @author makejava
 * @since 2023-02-19 21:37:38
 */
@Service("sysLoginLogService")
public class SysLoginLogServiceImpl implements SysLoginLogService {
    @Resource
    private SysLoginLogDao sysLoginLogDao;

    /**
     * 通过ID查询单条数据
     *
     * @param logId 主键
     * @return 实例对象
     */
    @Override
    public SysLoginLog queryById(String logId) {
        return this.sysLoginLogDao.queryById(logId);
    }

    /**
     * 分页查询
     *
     * @param sysLoginLog 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @Override
    public Page<SysLoginLog> queryByPage(SysLoginLog sysLoginLog, PageRequest pageRequest) {
        long total = this.sysLoginLogDao.count(sysLoginLog);
        return new PageImpl<>(this.sysLoginLogDao.queryAllByLimit(sysLoginLog, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param sysLoginLog 实例对象
     * @return 实例对象
     */
    @Override
    public SysLoginLog insert(SysLoginLog sysLoginLog) {
        this.sysLoginLogDao.insert(sysLoginLog);
        return sysLoginLog;
    }

    /**
     * 修改数据
     *
     * @param sysLoginLog 实例对象
     * @return 实例对象
     */
    @Override
    public SysLoginLog update(SysLoginLog sysLoginLog) {
        this.sysLoginLogDao.update(sysLoginLog);
        return this.queryById(sysLoginLog.getLogId());
    }

    /**
     * 通过主键删除数据
     *
     * @param logId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(String logId) {
        return this.sysLoginLogDao.deleteById(logId) > 0;
    }
}
